Upstream information

CVE-2011-3177 at MITRE

Description

The YaST2 network created files with world readable permissions which could have allowed local users to read sensitive material out of network configuration files, like passwords for wireless networks.

SUSE information

Overall state of this security issue: Ignore

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 713661 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • yast2 >= 3.1.108-1.16
  • yast2-core >= 3.1.11-1.9
Patchnames:
SUSE Linux Enterprise Desktop 12 GA yast2
SUSE Linux Enterprise Desktop 12 GA yast2-core
SUSE Linux Enterprise Desktop 12 SP1
  • yast2 >= 3.1.155-1.13
  • yast2-core >= 3.1.18-1.5
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA yast2
SUSE Linux Enterprise Desktop 12 SP1 GA yast2-core
SUSE Linux Enterprise Desktop 12 SP2
  • yast2 >= 3.1.206-37.1.2
  • yast2-core >= 3.1.23-6.38
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA yast2
SUSE Linux Enterprise Desktop 12 SP2 GA yast2-core
SUSE Linux Enterprise Desktop 12 SP3
  • yast2 >= 3.2.36-1.11
  • yast2-core >= 3.2.2-1.29
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA yast2
SUSE Linux Enterprise Desktop 12 SP3 GA yast2-core
SUSE Linux Enterprise Module for Basesystem 15
  • yast2 >= 4.0.77-1.1
  • yast2-core >= 4.0.2-1.16
  • yast2-core-devel >= 4.0.2-1.16
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA yast2
SUSE Linux Enterprise Module for Basesystem 15 GA yast2-core
SUSE Linux Enterprise Server 11 SP2
  • yast2 >= 2.17.119-0.5.25
  • yast2-core >= 2.17.44-0.5.3
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA yast2
SUSE Linux Enterprise Server 11 SP2 GA yast2-core
SUSE Linux Enterprise Server 11 SP3
  • yast2 >= 2.17.129-0.7.2
  • yast2-core >= 2.17.45-0.5.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA yast2
SUSE Linux Enterprise Server 11 SP3 GA yast2-core
SUSE Linux Enterprise Server 11 SP4
  • yast2 >= 2.17.140-1.1
  • yast2-core >= 2.17.46-0.5.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA yast2
SUSE Linux Enterprise Server 11 SP4 GA yast2-core
SUSE Linux Enterprise Server 12
  • yast2 >= 3.1.108-1.6
  • yast2-core >= 3.1.11-1.9
Patchnames:
SUSE Linux Enterprise Server 12 GA yast2
SUSE Linux Enterprise Server 12 GA yast2-core
SUSE Linux Enterprise Server 12 SP1
  • yast2 >= 3.1.155-1.13
  • yast2-core >= 3.1.18-1.5
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA yast2
SUSE Linux Enterprise Server 12 SP1 GA yast2-core
SUSE Linux Enterprise Server 12 SP2
  • yast2 >= 3.1.206-37.1.2
  • yast2-core >= 3.1.23-6.38
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA yast2
SUSE Linux Enterprise Server 12 SP2 GA yast2-core
SUSE Linux Enterprise Server 12 SP3
  • yast2 >= 3.2.36-1.11
  • yast2-core >= 3.2.2-1.29
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA yast2
SUSE Linux Enterprise Server 12 SP3 GA yast2-core
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • yast2 >= 3.1.206-36.3
  • yast2-core >= 3.1.23-6.38
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA yast2
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA yast2-core
SUSE Linux Enterprise Software Development Kit 11 SP4
  • yast2-core-devel >= 2.17.46-0.5.1
  • yast2-devel-doc >= 2.17.140-1.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA yast2-core-devel
SUSE Linux Enterprise Software Development Kit 11 SP4 GA yast2-devel-doc
SUSE Linux Enterprise Software Development Kit 12
  • yast2-core-devel >= 3.1.11-1.9
  • yast2-devel-doc >= 3.1.108-1.16
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA yast2-core-devel
SUSE Linux Enterprise Software Development Kit 12 GA yast2-devel-doc
SUSE Linux Enterprise Software Development Kit 12 SP1
  • yast2-core-devel >= 3.1.18-1.5
  • yast2-devel-doc >= 3.1.155-1.13
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA yast2-core-devel
SUSE Linux Enterprise Software Development Kit 12 SP1 GA yast2-devel-doc
SUSE Linux Enterprise Software Development Kit 12 SP2
  • yast2-core-devel >= 3.1.23-6.38
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA yast2-core-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • yast2-core-devel >= 3.2.2-1.29
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA yast2-core-devel
openSUSE Leap 15.0
  • yast2 >= 4.0.74-lp150.1.1
  • yast2-core >= 4.0.2-lp150.1.3
Patchnames:
openSUSE Leap 15.0 GA yast2
openSUSE Leap 15.0 GA yast2-core
openSUSE Leap 42.1
  • yast2 >= 3.1.155-1.1
  • yast2-core >= 3.1.18-1.1
  • yast2-core-devel >= 3.1.18-1.1
  • yast2-devel-doc >= 3.1.155-1.1
Patchnames:
openSUSE Leap 42.1 GA yast2
openSUSE Leap 42.1 GA yast2-core
openSUSE Leap 42.2
  • yast2 >= 3.1.206-1.2
  • yast2-core >= 3.1.23-1.20
Patchnames:
openSUSE Leap 42.2 GA yast2
openSUSE Leap 42.2 GA yast2-core
openSUSE Leap 42.3
  • yast2 >= 3.2.36-1.1
  • yast2-core >= 3.2.2-6.5
Patchnames:
openSUSE Leap 42.3 GA yast2
openSUSE Leap 42.3 GA yast2-core
openSUSE Tumbleweed
  • yast2 >= 3.2.7-1.1
  • yast2-core >= 3.2.0-1.1
  • yast2-core-debugger >= 3.2.0-1.1
  • yast2-core-devel >= 3.2.0-1.1
Patchnames:
openSUSE Tumbleweed GA yast2
openSUSE Tumbleweed GA yast2-core